function init(hero) {
    hero.setName("A-Bomba(Rick)");
    hero.setTier(5);
    
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    
    hero.addPowers("fiskheroes:geokinesis", "randomhero:a_bomba", "fiskheroes:leaping");
    hero.addAttribute("FALL_RESISTANCE", 6.0, 1);
    hero.addAttribute("JUMP_HEIGHT", 9.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 14.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 1.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.6, 1);

    hero.addKeyBind("GROUND_SMASH", "key.groundSmash", 1);
    hero.addKeyBind("INVISIBILITY", "key.invisibility", 2);
	
    hero.setDefaultScale(1.25);
    hero.setHasProperty(hasProperty);
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}